Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 867775

Summary: media-video/obs-studio version bump to 28.0.0
Product: Gentoo Linux Reporter: Patrick McMunn <doctorwhoguy>
Component: Current packagesAssignee: Chiitoo <chiitoo>
Status: RESOLVED FIXED    
Severity: enhancement CC: nexion.hellborn, proxy-maint
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://pullanswer.com/questions/unable-build-obs-studio-without-obs-browser
See Also: https://github.com/gentoo/gentoo/pull/27466
https://github.com/gentoo/gentoo/pull/28094
Whiteboard:
Package list:
Runtime testing required: ---

Description Patrick McMunn 2022-08-31 23:21:59 UTC
I tried renaming the existing ebuild to see if this would be sufficient for an update. Unfortunately, the build failed with "OBS: obs-browser submodule not available". This error occurred whether the browser USE flag was enabled or disabled. Apparently the git submodules must be initialized even if they aren't used. I'm not sure why this would be an issue when using the tarball, but it is. I noticed there is a new CMAKE flag for enabling/disabling HEVC encoders. And while the OBS project has moved forward with migrating to QT6, OBS can currently be built with either QT5 or QT6. So there are at least a few new things that will require some ebuild modifications.

Reproducible: Always
Comment 1 Chiitoo gentoo-dev 2022-09-01 06:21:43 UTC
Yes, there is a new submodule dependency that has to be around for it to be cleanly disabled without some sed-ery.

I have things mostly done for the 9999 version (including Qt 6 support), but will need some more time to do the same for the release.
Comment 2 Chiitoo gentoo-dev 2022-09-29 12:43:12 UTC
May also need to add note about qt5 builds which, are only somewhat supported by upstream at this point.
Comment 3 Larry the Git Cow gentoo-dev 2022-11-08 16:20:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3635cb175c7f3d301323630956c1a6ca27605d5

commit c3635cb175c7f3d301323630956c1a6ca27605d5
Author:     Jimi Huotari <chiitoo@gentoo.org>
AuthorDate: 2022-11-02 05:21:17 +0000
Commit:     Jimi Huotari <chiitoo@gentoo.org>
CommitDate: 2022-11-08 16:16:58 +0000

    media-video/obs-studio: add version 28.1.2
    
    Closes: https://bugs.gentoo.org/867775
    Thanks-to: マリウス <marius@xn--gckvb8fzb.com>
    Thanks-to: Ionen Wolkens <ionen@gentoo.org>
    Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>

 media-video/obs-studio/Manifest                 |   7 +
 media-video/obs-studio/obs-studio-28.1.2.ebuild | 266 ++++++++++++++++++++++++
 2 files changed, 273 insertions(+)